## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname ffmpeg
%global projname %{modname}-python

# Tests require ffmpeg with MPEG4/H264 decoding abilities -
# disable them by default
%bcond_with tests

Name:           python-%{projname}
Version:        0.2.0
Release:        %autorelease
Summary:        Python bindings for FFmpeg - with complex filtering support

License:        Apache-2.0
URL:            https://github.com/kkroening/%{projname}
Source0:        %{url}/archive/%{version}/%{projname}-%{version}.tar.gz
# Rebased version of: https://github.com/kkroening/ffmpeg-python/pull/795
Patch:          remove-dependency-on-future.patch

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  /usr/bin/ffmpeg
%endif

%global _description %{expand:
There are tons of Python FFmpeg wrappers out there but they seem to lack complex
filter support. ffmpeg-python works well for simple as well as complex signal
graphs.}

%description %_description

%package     -n python3-%{projname}
Summary:        %{summary}
Requires:       /usr/bin/ffmpeg

%description -n python3-%{projname} %_description

%prep
%autosetup -n %{projname}-%{version} -p1

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%tox
%else
%pyproject_check_import
%endif

%files -n python3-%{projname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.2.0-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 20 2023 Lumir Balhar <lbalhar@redhat.com> - 0.2.0-4
- Remove dependency on python3-future

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 0.2.0-2
- Rebuilt for Python 3.12

* Sat Jan 28 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 0.2.0-1
- Initial import (fedora#2161095)
## END: Generated by rpmautospec
